{$APPTYPE CONSOLE}
 var  f:text;
      T,N,M:byte;
      K,i:integer;
      begin
      assign(f, 'Nuts.in');
      reset(f);
      readln(f,T);
      for i:= 1 to T do begin
      read(f, N,M,K);
        if (N*M)>=K then writeln ('YES')
        else writeln ('NO');
      T:=T-1;
      end;
      {readln;}
      end.
